You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tvm.apache.org by tq...@apache.org on 2019/11/26 05:30:23 UTC

[incubator-tvm-test] 12/15: [SCRIPT] Deployment script.

This is an automated email from the ASF dual-hosted git repository.

tqchen pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-tvm-test.git

commit e6507d56829e3ee23afae6516be000d2d44cea81
Author: tqchen <tq...@gmail.com>
AuthorDate: Mon Nov 25 20:50:21 2019 -0800

    [SCRIPT] Deployment script.
---
 .gitignore                      |  3 +++
 _config.yml                     | 11 +++++++++--
 scripts/task_deploy_asf_site.sh | 19 +++++++++++++++++++
 3 files changed, 31 insertions(+), 2 deletions(-)

diff --git a/.gitignore b/.gitignore
index 9003acf..5623bc9 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,6 @@
 *~
 _site
 .DS_Store
+.*
+website.tgz
+scripts
\ No newline at end of file
diff --git a/_config.yml b/_config.yml
index 1df4c9c..8493710 100644
--- a/_config.yml
+++ b/_config.yml
@@ -2,8 +2,15 @@
 # For more see: http://jekyllrb.com/docs/permalinks/
 permalink: /:categories/:year/:month/:day/:title
 
-exclude: [".rvmrc", ".rbenv-version", "Rakefile", "changelog.md",
-          "tvm", "Jenkinsfile", ".gitignores", ".gitmodules", "website.tgz",
+exclude: [".rvmrc",
+          ".rbenv-version",
+          "Rakefile",
+          "changelog.md",
+          "tvm",
+          "Jenkinsfile",
+          "scripts",
+          ".gitmodules",
+          "website.tgz",
           "serve_local.sh"]
 
 highlighter: rouge
diff --git a/scripts/task_deploy_asf_site.sh b/scripts/task_deploy_asf_site.sh
new file mode 100755
index 0000000..c91efb4
--- /dev/null
+++ b/scripts/task_deploy_asf_site.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# Deploy the website to the asf-site branch.
+set -e
+set -u
+
+echo "Start to generate and deploy site ..."
+rm -rf _site
+jekyll b --safe
+cp .gitignore _site
+git checkout asf-site
+
+# remove all existing files
+git ls-files | xargs  rm -f
+# copy new files into the current site
+cp -rf _site/* .
+git add --all && git commit -am 'nigthly build at `date`'
+git push origin asf-site
+git checkout master
+echo "Finish deployment..."